package cn.iocoder.yudao.module.system.controller.app.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class AttendanceStatisticsVO {
    @Schema(description = "平均工作时间")
    private List<AttendancePunchStatisticsVO> averageWorkingHours;
    @Schema(description = "出勤天数")
    private List<AttendancePunchStatisticsVO> attendanceDays;
    @Schema(description = "迟到次数")
    private List<AttendancePunchStatisticsVO> beLateNumber;
    @Schema(description = "早退次数")
    private List<AttendancePunchStatisticsVO> earlyDeparturesNumber;
    @Schema(description = "缺卡次数")
    private List<AttendancePunchStatisticsVO> missingCardsNumber;
    @Schema(description = "矿工日")
    private List<AttendancePunchStatisticsVO> minerDays;
    @Schema(description = "外勤次数")
    private List<AttendancePunchStatisticsVO> fieldServiceNumber;
    @Schema(description = "休息日")
    private List<AttendancePunchStatisticsVO> restDays;
    @Schema(description = "头部次数")
    private CalculateNum calculateNum;

    @Data
    public static class CalculateNum {
        @Schema(description = "总考勤时间")
        long totalWorkingHours = 0L;
        @Schema(description = "总出勤天数")
        int totalAttendanceDays = 0;
        @Schema(description = "总休息天数")
        int totalRestDays = 0;
        @Schema(description = "迟到总次数")
        int totalLateArrivalsNumber = 0;
        @Schema(description = "迟到总时间")
        long totalLateArrivalsTime = 0L;
        @Schema(description = "迟到总时间中文")
        String totalLateArrivalsTimeStr;
        @Schema(description = "早退总次数")
        int totalEarlyDeparturesNumber = 0;
        @Schema(description = "早退总时间")
        long totalEarlyDeparturesTime = 0L;
        @Schema(description = "早退总时间中文")
        String totalEarlyDeparturesTimeStr;
        @Schema(description = "缺卡总次数")
        int totalMissingCardsNumber = 0;
        @Schema(description = "矿工总天数")
        int totalMinerDays = 0;
        @Schema(description = "外勤次数")
        int totalFieldServiceNumber = 0;
        @Schema(description = "平均工时")
        long averageWorkingHours = 0L;
        @Schema(description = "平均工时中文")
        String averageWorkingHoursStr;
    }
}
